Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.filters.util
Class ChainReaderHelper

    java.lang.Object
      org.apache.tools.ant.filters.util.ChainReaderHelper

public final class ChainReaderHelper
extends java.lang.Object

Process a FilterReader chain.

Author:
  Magesh Umasankar

Field Summary
`int` | `bufferSize` The size of the buffer to be used.
`java.util.Vector` | `filterChains` Chain of filters
`java.io.Reader` | `primaryReader` The primary reader to which the reader chain is to be attached.

Constructor Summary
`ChainReaderHelper()`

Method Summary
`java.io.Reader` | `getAssembledReader()` Assemble the reader
`Project` | `getProject()` Get the project
`java.lang.String` | `readFully(java.io.Reader rdr)` Read data from the reader and return the contents as a string.
`void` | `setBufferSize(int size)` Sets the buffer size to be used.
`void` | `setFilterChains(java.util.Vector fchain)` Sets the collection of filter reader sets
`void` | `setPrimaryReader(java.io.Reader rdr)` Sets the primary reader
`void` | `setProject(Project project)` Set the project to work with

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### primaryReader

    public java.io.Reader primaryReader

  The primary reader to which the reader chain is to be attached.

### bufferSize

    public int bufferSize

  The size of the buffer to be used.

### filterChains

    public java.util.Vector filterChains

  Chain of filters

Constructor Detail

### ChainReaderHelper

    public ChainReaderHelper()

Method Detail

### setPrimaryReader

    public final void setPrimaryReader(java.io.Reader rdr)

  Sets the primary reader

### setProject

    public final void setProject(Project project)

  Set the project to work with

### getProject

    public final Project getProject()

  Get the project

### setBufferSize

    public final void setBufferSize(int size)

  Sets the buffer size to be used. Defaults to 4096, if this method is not invoked.

### setFilterChains

    public final void setFilterChains(java.util.Vector fchain)

  Sets the collection of filter reader sets

### getAssembledReader

    public final java.io.Reader getAssembledReader()
                                            throws BuildException

  Assemble the reader

  Throws:
    `BuildException`

### readFully

    public final java.lang.String readFully(java.io.Reader rdr)
                                     throws java.io.IOException

  Read data from the reader and return the contents as a string.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.